MagickCore: configure.c File Reference

# configure.c File Reference

`#include "magick/studio.h"`
`#include "magick/blob.h"`
`#include "magick/client.h"`
`#include "magick/configure.h"`
`#include "magick/exception.h"`
`#include "magick/exception-private.h"`
`#include "magick/hashmap.h"`
`#include "magick/log.h"`
`#include "magick/memory_.h"`
`#include "magick/semaphore.h"`
`#include "magick/string_.h"`
`#include "magick/token.h"`
`#include "magick/utility.h"`
`#include "magick/xml-tree.h"`

## Defines
#define | ConfigureFilename "configure.xml"
## Functions
static MagickBooleanType | InitializeConfigureList (ExceptionInfo *)
static MagickBooleanType | LoadConfigureLists (const char *, ExceptionInfo *)
static void * | DestroyConfigureElement (void *configure_info)
MagickExport void | DestroyConfigureList (void)
static void * | DestroyOptions (void *option)
MagickExport LinkedListInfo * | DestroyConfigureOptions (LinkedListInfo *options)
MagickExport const ConfigureInfo * | GetConfigureInfo (const char *name, ExceptionInfo *exception)
static int | ConfigureInfoCompare (const void *x, const void *y)
MagickExport const ConfigureInfo ** | GetConfigureInfoList (const char *pattern, unsigned long *number_options, ExceptionInfo *exception)
static int | ConfigureCompare (const void *x, const void *y)
MagickExport char ** | GetConfigureList (const char *pattern, unsigned long *number_options, ExceptionInfo *exception)
MagickExport LinkedListInfo * | GetConfigureOptions (const char *filename, ExceptionInfo *exception)
MagickExport LinkedListInfo * | GetConfigurePaths (const char *filename, ExceptionInfo *exception)
MagickExport const char * | GetConfigureValue (const ConfigureInfo *configure_info)
MagickExport MagickBooleanType | ListConfigureInfo (FILE *file, ExceptionInfo *exception)
static MagickBooleanType | LoadConfigureList (const char *xml, const char *filename, const unsigned long depth, ExceptionInfo *exception)
## Variables
static const char * | ConfigureMap
static LinkedListInfo * | configure_list = (LinkedListInfo *) NULL
static SemaphoreInfo * | configure_semaphore = (SemaphoreInfo *) NULL
static volatile MagickBooleanType | instantiate_configure = MagickFalse

## Define Documentation

#define ConfigureFilename "configure.xml"

## Function Documentation

static int ConfigureCompare | ( | const void * | x,
|  | const void * | y |
| ) |  |  | `[static]`

static int ConfigureInfoCompare | ( | const void * | x,
|  | const void * | y |
| ) |  |  | `[static]`

static void* DestroyConfigureElement | ( | void * | configure_info | ) | `[static]`

MagickExport void DestroyConfigureList | ( | void |  | ) |

MagickExport LinkedListInfo* DestroyConfigureOptions | ( | LinkedListInfo * | options | ) |

static void* DestroyOptions | ( | void * | option | ) | `[static]`

MagickExport const ConfigureInfo* GetConfigureInfo | ( | const char * | name,
|  | ExceptionInfo * | exception |
| ) |  |  |

MagickExport const ConfigureInfo** GetConfigureInfoList | ( | const char * | pattern,
|  | unsigned long * | number_options,
|  | ExceptionInfo * | exception |
| ) |  |  |

MagickExport char** GetConfigureList | ( | const char * | pattern,
|  | unsigned long * | number_options,
|  | ExceptionInfo * | exception |
| ) |  |  |

MagickExport LinkedListInfo* GetConfigureOptions | ( | const char * | filename,
|  | ExceptionInfo * | exception |
| ) |  |  |

MagickExport LinkedListInfo* GetConfigurePaths | ( | const char * | filename,
|  | ExceptionInfo * | exception |
| ) |  |  |

MagickExport const char* GetConfigureValue | ( | const ConfigureInfo * | configure_info | ) |

static MagickBooleanType InitializeConfigureList | ( | ExceptionInfo * | exception | ) | `[static]`

MagickExport MagickBooleanType ListConfigureInfo | ( | FILE * | file,
|  | ExceptionInfo * | exception |
| ) |  |  |

static MagickBooleanType LoadConfigureList | ( | const char * | xml,
|  | const char * | filename,
|  | const unsigned long | depth,
|  | ExceptionInfo * | exception |
| ) |  |  | `[static]`

static MagickBooleanType LoadConfigureLists | ( | const char * | filename,
|  | ExceptionInfo * | exception |
| ) |  |  |

## Variable Documentation

LinkedListInfo* configure_list = (LinkedListInfo *) NULL`[static]`

SemaphoreInfo* configure_semaphore = (SemaphoreInfo *) NULL`[static]`

const char* ConfigureMap`[static]`

Initial value:

     (char *)
        "<?xml version=\"1.0\"?>"
        "<configuremap>"
        "  <configure stealth=\"True\" />"
        "</configuremap>"

volatile MagickBooleanType instantiate_configure = MagickFalse`[static]`